
Foreman - Refactor #18244

Include web assets in Foreman source tarball

01/25/2017 03:37 PM - Eric Helms

Status: New   

Priority: Normal   

Assignee: Eric Helms   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

This is likely a controversial issue given the original work and history around packaging web assets as bundled RPM and Debian

packages on the packaging side. I'm opening this issue and the accompanying proposed fix for discussion and consideration given

recent changes and frustrations with packaging of web assets.

Myself and others, I believe (see an example here: 

https://github.com/theforeman/foreman-packaging/pull/1453#issuecomment-274470960) feel that there is too much developer churn

that the current method imposes. Some of the reasoning:

all required assets have to be turned into RPMs

EPEL updated the version of nodejs which caused a breaking change which means all packages will have to have their specs

updated when time comes to update them

RPM and Debian have to package all of these resources

requires one or more new RPMs every time a new asset is added and given that nodejs and JavaScript libraries tend to follow a

more modular model this creates a cycle that happens more so than rubygems

these are build dependencies only

the build dependencies are already behind develop

this change would free up and speed up UI development

History

#1 - 01/25/2017 03:42 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/foreman/pull/4230 added

#2 - 11/26/2018 01:23 AM - The Foreman Bot

- Status changed from Ready For Testing to New

- Pull request deleted (https://github.com/theforeman/foreman/pull/4230)
